Technical Requirements

eCornell courses are designed to function using standards-compliant web browsers. These are the minimum supported system requirements:

 

Systems

A computer capable of playing audio, running one of the following operating systems:

    • Windows 7 and newer
    • Mac OSX 10.6 and newer
    • Linux – chromeOS

A monitor with a resolution of at least 1024 by 768 pixels

(The canvas app is not supported, and not all elements of our courses are mobile-ready at this time)

 

Browsers

Any of the following browsers with JavaScript enabled are supported:

 

Plug-ins
Adobe Flash Player 17+. If it’s not already installed, you can download a Flash Player for free.
Adobe Reader 9+. If it’s not already installed, you can download Adobe Reader for free.

 

Internet Connection

A broadband Internet connection (cable modem, DSL, or LAN)

If your system is not on this list, or if you have any other technology questions, call our Help Desk at 1-800-801-0287 (+1-607-330-3200 from outside the United States) to see how we can support you.